Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class EntryCollection

    java.lang.Object
      ru.biosoft.access.DataElementSupport
          ru.biosoft.access.AbstractDataCollection
              ru.biosoft.access.EntryCollection

All Implemented Interfaces:
  DataCollection, DataElement

Direct Known Subclasses:
  FileEntryCollection, FileEntryCollection2

public abstract class EntryCollection
extends AbstractDataCollection

Version:
  1.0
Author:
  DevelopmentOnTheEdge

Field Summary
`static java.lang.String` | `ENTRY_DELIMITERS_PROPERTY` Property for storing delimiters that not conatains in the entry key.
`static java.lang.String` | `ENTRY_END_PROPERTY` Property for storing end field of entry
`static java.lang.String` | `ENTRY_ID_PROPERTY` Property for storing ID field of entry
`static java.lang.String` | `ENTRY_START_PROPERTY` Property for storing start fielsd of entry

Fields inherited from class ru.biosoft.access.AbstractDataCollection
`cat, info, notificationEnabled, path, propagationEnabled, v_cache`

Fields inherited from interface ru.biosoft.access.DataCollection
`CHILDREN_NODE_IMAGE, CHILDREN_NODE_VISIBLE, CLASS_PROPERTY, CLASSPATH_JAR_PROPERTY, COMPARATOR_OBJECT, CONFIG_FILE_PROPERTY, CONFIG_PATH_PROPERTY, DATA_ELEMENT_CLASS_PROPERTY, DEFAULT_CONFIG_FILE, DEFAULT_CONFIG_SUFFIX, DEFAULT_FILTER_CONFIG_SUFFIX, DEFAULT_FORMAT_CONFIG_SUFFIX, DEFAULT_NODE_CONFIG_SUFFIX, DEFAULT_REPOSITORY, DESCRIPTION_PROPERTY, DISPLAY_NAME_PROPERTY, FILE_PATH_PROPERTY, FILE_PROPERTY, FILTER_PROPERTY, ID_FORMAT, IS_ROOT, JOB_CONTROL_PROPERTY, LATE_CHILDREN_INITIALIZATION, MUTABLE, NAME_PROPERTY, NEXT_CONFIG, NODE_IMAGE, NODE_VISIBLE, PRIMARY_COLLECTION, REMOVE_CHILDREN, TRANSFORMER_CLASS`

Constructor Summary
`EntryCollection(DataCollection parent, java.util.Properties properties)` Standard data collection constructor.

Method Summary
`java.lang.Class` | `getDataElementType()` Gets the type of DataElements stored in the data collection.

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, cachePut, checkMutable, close, contains, contains, doAddPostNotify, doAddPreNotify, doGet, doPut, doRemove, doRemovePostNotify, doRemovePreNotify, finalize, fireElementAdded, fireElementChanged, fireElementRemoved, fireElementWillAdd, fireElementWillChange, fireElementWillRemove, get, getCompleteName, getDescription, getInfo, getNameList, getSize, initLog, isMutable, isNotificationEnabled, isPropagationEnabled, makeInfo, propagateElementChanged, propagateElementWillChange, put, registerRoot, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataCollection
`iterator`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Field Detail

### ENTRY_DELIMITERS_PROPERTY

    public static final java.lang.String ENTRY_DELIMITERS_PROPERTY

  Property for storing delimiters that not conatains in the entry key. Space ' ' added automatically.

  See Also:
    Constant Field Values

### ENTRY_START_PROPERTY

    public static final java.lang.String ENTRY_START_PROPERTY

  Property for storing start fielsd of entry

  See Also:
    Constant Field Values

### ENTRY_ID_PROPERTY

    public static final java.lang.String ENTRY_ID_PROPERTY

  Property for storing ID field of entry

  See Also:
    Constant Field Values

### ENTRY_END_PROPERTY

    public static final java.lang.String ENTRY_END_PROPERTY

  Property for storing end field of entry

  See Also:
    Constant Field Values

Constructor Detail

### EntryCollection

    public EntryCollection(DataCollection parent,
                           java.util.Properties properties)

  Standard data collection constructor.

Method Detail

### getDataElementType

    public java.lang.Class getDataElementType()

  Description copied from class: `AbstractDataCollection`
  Gets the type of DataElements stored in the data collection. The DataElement type should be specified using {&link DATA_ELEMENT_CLASS_PROPERTY} or should be specified in derived collections.

  Specified by:
    `getDataElementType` in interface `DataCollection`
  Overrides:
    `getDataElementType` in class `AbstractDataCollection`
  Returns:
    `Entry.class`.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.